Bug 817895 - nfs-lock.service: Wants=remote-fs-pre.target is unecessary
nfs-lock.service: Wants=remote-fs-pre.target is unecessary
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 13:58 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 12:18:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-05-01 13:58:21 EDT
Description of problem:

The nfs-lock.service file has:

Wants=remote-fs-pre.target

This is superfluous - remote filesystem mounts in fstab will automatically bring this target in where necessary.

Version-Release number of selected component (if applicable):

nfs-utils-1.2.5-14.fc17.x86_64

How reproducible:

100%

Additional info:

This causes network startup to be synchronous in many cases where it's not needed (no network mounts configured)
Comment 1 Michal Schmidt 2012-05-01 14:18:16 EDT
(In reply to comment #0)
> The nfs-lock.service file has:
> 
> Wants=remote-fs-pre.target
> 
> This is superfluous

I agree.

> - remote filesystem mounts in fstab will automatically
> bring this target in where necessary.

Nitpicking: It's actually remote-fs.target that will bring remote-fs-pre.target in if a remote mount is found in /etc/fstab.

This systemd commit added it:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=db1355b1c181a4b1ac277064918d7c794dfb6edd

Note that the commit is present in F17, but it is not in F16.
If needed, I will consider backporting it there too, but I'd prefer putting F16 into low maintenance mode already.
Comment 2 Fedora Update System 2012-05-15 16:21:24 EDT
nfs-utils-1.2.6-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.6-0.fc17
Comment 3 Fedora Update System 2012-05-17 18:57:01 EDT
Package nfs-utils-1.2.6-0.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.6-0.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7979/nfs-utils-1.2.6-0.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-29 12:18:52 EDT
nfs-utils-1.2.6-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.